sc::OutSimpleCo(3)

NAME
sc::OutSimpleCo -

SYNOPSIS

Inherits sc::SimpleCo.

  Public Member Functions
OutSimpleCo (const OutSimpleCo &)
OutSimpleCo (const char *refr, int, int, int, int)
This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the out-of-plane angle abcd.
OutSimpleCo (const Ref< KeyVal > &)
The KeyVal constructor.
const char * ctype () const
Always returns the string 'OUT'.
double radians () const
Returns the value of the angle abc in radians.
double degrees () const
Returns the value of the angle abc in degrees.
double preferred_value () const
Returns the value of the angle abc in degrees.

Constructor & Destructor Documentation

  sc::OutSimpleCo::OutSimpleCo (const char * refr, int, int, int, int)

This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the out-of-plane angle abcd. Atom numbering begins at atom 1, not atom 0.

  sc::OutSimpleCo::OutSimpleCo (const Ref< KeyVal > &)

The KeyVal constructor. This calls the SimpleCo keyval constructor with an integer argument of 4.

Author

Generated automatically by Doxygen for MPQC from the source code.